BaseTransactionalDataRegion (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan.impl
Class BaseTransactionalDataRegion

    java.lang.Object
      org.hibernate.cache.infinispan.impl.BaseRegion
          org.hibernate.cache.infinispan.impl.BaseTransactionalDataRegion

All Implemented Interfaces:
  Region, TransactionalDataRegion

Direct Known Subclasses:
  CollectionRegionImpl, EntityRegionImpl, NaturalIdRegionImpl, QueryResultsRegionImpl

    public abstract class BaseTransactionalDataRegion

extends BaseRegion
implements TransactionalDataRegion

Support for Inifinispan `TransactionalDataRegion` implementors.

Since:
  3.5

Field Summary

Fields inherited from class org.hibernate.cache.infinispan.impl.BaseRegion
`address, cacheAdapter, invalidateState, invalidationMutex, replication, transactionManager`

Constructor Summary
`BaseTransactionalDataRegion(CacheAdapter cacheAdapter, String name, CacheDataDescription metadata, TransactionManager transactionManager, RegionFactory factory)`

Method Summary
`CacheDataDescription` | `getCacheDataDescription()`
`boolean` | `isTransactionAware()` Is the underlying cache implementation aware of (and "participating in") ongoing JTA transactions? Regions which report that they are transaction-aware are considered "synchronous", in that we assume we can immediately (i.e.

Methods inherited from class org.hibernate.cache.infinispan.impl.BaseRegion
`checkValid, contains, destroy, get, getAddress, getCacheAdapter, getElementCountInMemory, getElementCountOnDisk, getName, getOwnerForPut, getSizeInMemory, getTimeout, getTransactionManager, invalidateRegion, isValid, nextTimestamp, resume, suspend, toMap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.spi.Region
`contains, destroy, getElementCountInMemory, getElementCountOnDisk, getName, getSizeInMemory, getTimeout, nextTimestamp, toMap`

Constructor Detail

### BaseTransactionalDataRegion

    public BaseTransactionalDataRegion(CacheAdapter cacheAdapter,
                                       String name,
                                       CacheDataDescription metadata,
                                       TransactionManager transactionManager,
                                       RegionFactory factory)

Method Detail

### getCacheDataDescription

    public CacheDataDescription getCacheDataDescription()

  Specified by:
    `getCacheDataDescription` in interface `TransactionalDataRegion`

### isTransactionAware

    public boolean isTransactionAware()

  Description copied from interface: `TransactionalDataRegion`
  Is the underlying cache implementation aware of (and "participating in") ongoing JTA transactions?

  Regions which report that they are transaction-aware are considered "synchronous", in that we assume we can immediately (i.e. synchronously) write the changes to the cache and that the cache will properly manage application of the written changes within the bounds of ongoing JTA transactions. Conversely, regions reporting false are considered "asynchronous", where it is assumed that changes must be manually delayed by Hibernate until we are certain that the current transaction is successful (i.e. maintaining READ_COMMITTED isolation).

  Specified by:
    `isTransactionAware` in interface `TransactionalDataRegion`
  Returns:
    True if transaction aware; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.